Browse Points
curl --request GET \
--url https://api.{tenant}.getomneo.com/api/v3/pointsimport requests
url = "https://api.{tenant}.getomneo.com/api/v3/points"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.{tenant}.getomneo.com/api/v3/points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"profile_id": "<string>",
"linked_profile_id": "<string>",
"value_initial": "<string>",
"value_remaining": "<string>",
"value_initial_currency": 123,
"value_remaining_currency": 123,
"issued_at": "<string>",
"accrued_at": "<string>",
"expires_at": "<string>",
"timezone": "<string>",
"status": "<string>",
"definition": {
"id": 123,
"name": "<string>",
"handle": "<string>",
"region_id": 123,
"region": {
"id": 123,
"name": "<string>",
"handle": "<string>"
},
"currency": "<string>",
"description": "<string>",
"notes": "<string>",
"is_reassignable": true,
"issue_period": 123,
"issue_period_type": "<string>",
"issue_absolute_expiry": "<string>",
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"source_type": "<string>",
"source": null,
"rate": {
"id": 123,
"handle": "<string>",
"type": "<string>",
"location": "<string>",
"code": "<string>",
"name": "<string>",
"rate": "<string>",
"is_default": true,
"is_archived": true,
"region_id": 123,
"region": {
"id": 123,
"name": "<string>",
"handle": "<string>"
},
"location_id": 123,
"location_object": {
"id": "<string>",
"name": "<string>",
"handle": "<string>"
},
"country_iso_2": "<string>",
"profile_conditions": [
"<unknown>"
],
"product_conditions": [
"<unknown>"
],
"start_time": "<string>",
"end_time": "<string>",
"issue_period": 123,
"issue_period_type": "<string>",
"issue_absolute_expiry": "<string>",
"earn_instructions": "<string>",
"internal_notes": "<string>",
"is_published": true,
"priority": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"description": "<string>",
"meta": [
"<unknown>"
]
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Point
Browse Points
A GET to the /points endpoint allows your application to retrieve points.
GET
/
v3
/
points
Browse Points
Filtering
This endpoint accepts
filter and sort query parameters. See Filtering, sorting, and search for paging and for the shared search_with, custom_field, and json_contains filters.Examples
curl -X GET "https://api.[tenant].getomneo.com/api/v3/points?filter[value_remaining]=100" \
-H "Authorization: Bearer ${TOKEN}"
curl -X GET "https://api.[tenant].getomneo.com/api/v3/points?filter[issued_at][gte]=2026-01-01&filter[issued_at][lt]=2026-02-01" \
-H "Authorization: Bearer ${TOKEN}"
Operators
| Operator | Meaning | Example |
|---|---|---|
eq | Equal to. Applied when you give no operator. | filter[value_remaining]=100 |
ne | Not equal to. | filter[value_remaining][ne]=100 |
gt | Greater than. | filter[issued_at][gt]=2026-01-01 |
gte | Greater than or equal to. | filter[issued_at][gte]=2026-01-01 |
lt | Less than. | filter[issued_at][lt]=2026-02-01 |
lte | Less than or equal to. | filter[issued_at][lte]=2026-02-01 |
in | Matches any value in a comma separated list. | filter[rate_id][in]=123,456 |
not_in | Excludes every value in a comma separated list. | filter[rate_id][not_in]=123,456 |
nullable | 1 returns records where the attribute is empty. Any other value returns records where it is set. | filter[expires_at][nullable]=1 |
not_has operator applies to related attributes, which this endpoint does not have.
Filter attributes
| Attribute | Attribute | Attribute |
|---|---|---|
value_remaining | value_initial | issued_at |
accrued_at | rate_id | source_id |
source_type | expires_at | timezone |
linked_profile_id | description | meta |
sort key, for example ?sort=-issued_at for descending order.⌘I